# WebMoneyUtils Class Reference

Inheritance diagram for WebMoneyUtils:
[legend]

List of all members.

## Static Public Member Functions

static | makePaymentHash ($secretKey, $postData)
static | isValidPayment ($expected, $test)

## Static Private Attributes

static | $firstFields
static | $secondFields

## Detailed Description

Definition at line 2 of file WebMoneyUtils.class.php.

## Member Function Documentation

static WebMoneyUtils::isValidPayment | ( | $ | expected,
|  | $ | test |
| ) |  |  | `[static]`

Parameters:

  | postData[LMI_HASH] | $expected

Definition at line 47 of file WebMoneyUtils.class.php.

static WebMoneyUtils::makePaymentHash | ( | $ | secretKey,
|  | $ | postData |
| ) |  |  | `[static]`

See also:
  https://merchant.webmoney.ru/conf/guide.asp#hash

Definition at line 23 of file WebMoneyUtils.class.php.

## Member Data Documentation

WebMoneyUtils::$firstFields`[static, private]`

Initial value:

     array(
                'LMI_PAYEE_PURSE',
                'LMI_PAYMENT_AMOUNT',
                'LMI_PAYMENT_NO',
                'LMI_MODE',
                'LMI_SYS_INVS_NO',
                'LMI_SYS_TRANS_NO',
                'LMI_SYS_TRANS_DATE'
            )

Definition at line 5 of file WebMoneyUtils.class.php.

WebMoneyUtils::$secondFields`[static, private]`

Initial value:

     array(
                'LMI_PAYER_PURSE',
                'LMI_PAYER_WM'
            )

Definition at line 15 of file WebMoneyUtils.class.php.

The documentation for this class was generated from the following file:

- main/Utils/WebMoneyUtils.class.php